Aden

Moderation

Content moderation — report objectionable content and block other users. Required by Apple App Store Guideline 1.2.

POST
/api/v1/moderation/reports

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/moderation/reports" \  -H "Content-Type: application/json" \  -d '{    "target_type": "comment",    "target_id": "string",    "reason": "spam"  }'
GET
/api/v1/moderation/blocks

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/moderation/blocks"
POST
/api/v1/moderation/blocks

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/moderation/blocks" \  -H "Content-Type: application/json" \  -d '{    "blocked_user_id": "string"  }'
DELETE
/api/v1/moderation/blocks/{userId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

userId*string
curl -X DELETE "https://example.com/api/v1/moderation/blocks/string"
Was this helpful?